summaryrefslogtreecommitdiffstats
path: root/source/l/liboggz/liboggz.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/liboggz/liboggz.SlackBuild')
-rwxr-xr-xsource/l/liboggz/liboggz.SlackBuild34
1 files changed, 24 insertions, 10 deletions
diff --git a/source/l/liboggz/liboggz.SlackBuild b/source/l/liboggz/liboggz.SlackBuild
index 2132b7a1b..1cedfa043 100755
--- a/source/l/liboggz/liboggz.SlackBuild
+++ b/source/l/liboggz/liboggz.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,25 +20,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=liboggz
VERSION=${VERSION:-$(echo liboggz-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-liboggz
@@ -61,7 +69,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf liboggz-$VERSION
tar xvf $CWD/liboggz-$VERSION.tar.?z* || exit 1
-cd liboggz-$VERSION
+cd liboggz-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -75,11 +83,15 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -101,6 +113,8 @@ fi
mkdir -p $PKG/usr/doc
mv $PKG/usr/share/doc/liboggz $PKG/usr/doc/liboggz-$VERSION
+rmdir $PKG/usr/share/doc 2> /dev/null
+rmdir $PKG/usr/share 2> /dev/null
cp -a \
AUTHORS CHANGES COPYING* NEWS PATCHES README* TODO \
$PKG/usr/doc/liboggz-$VERSION